#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using HeuristicLab.Persistence;

namespace HeuristicLab.Core {
  [StorableType("ec8395c5-8dcd-49ae-a9c8-74128415496b")]
  public interface ILookupParameter : IParameter {
    string ActualName { get; set; }
    string TranslatedName { get; }
    IExecutionContext ExecutionContext { get; set; }
    event EventHandler ActualNameChanged;
  }

  [StorableType("52910af7-0773-407a-93a0-6fc2164cc569")]
  public interface ILookupParameter<T> : ILookupParameter where T : class, IItem {
    new T ActualValue { get; set; }
  }
}
